import { EventEmitter, OnInit } from '@angular/core';
import { FormControl, ValidatorFn } from '@angular/forms';
import { BluiAuthConfig } from './../../../../services/config/auth-config';
import { BluiAuthTranslations } from '../../../../translations/auth-translations';
import { BluiAuthSecurityService } from '../../../../services/state/auth-security.service';
import { EmailFieldComponent } from '../../../../components/email-field/email-field.component';
import * as i0 from "@angular/core";
export declare class BluiProvideEmailComponent implements OnInit {
    private readonly _bluiAuthConfig;
    private readonly _bluiSecurityService;
    email: string;
    isValidEmail: boolean;
    customEmailValidator: ValidatorFn;
    emailChange: EventEmitter<string>;
    isValidEmailChange: EventEmitter<boolean>;
    advance: EventEmitter<void>;
    emailFieldComponent: EmailFieldComponent;
    emailFormControl: FormControl;
    translate: BluiAuthTranslations;
    constructor(_bluiAuthConfig: BluiAuthConfig, _bluiSecurityService: BluiAuthSecurityService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    updateEmail(email: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BluiProvideEmailComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BluiProvideEmailComponent, "blui-create-account-provide-email-step", never, { "email": "email"; "isValidEmail": "isValidEmail"; "customEmailValidator": "customEmailValidator"; }, { "emailChange": "emailChange"; "isValidEmailChange": "isValidEmailChange"; "advance": "advance"; }, never, never, false, never>;
}
