import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare type IBluiRegisterUIService = {
    validateUserRegistrationRequest(code?: string): Promise<boolean>;
    loadEULA(): Promise<string>;
    requestRegistrationCode(email: string): Promise<void>;
    completeRegistration(firstName: string, lastName: string, customAccountDetails: Map<string, FormControl>, password: string, validationCode?: string, email?: string): Promise<void>;
};
export declare class BluiRegisterUIService implements IBluiRegisterUIService {
    warn(): void;
    validateUserRegistrationRequest(code?: string): Promise<boolean>;
    loadEULA(): Promise<string>;
    requestRegistrationCode(email: string): Promise<void>;
    completeRegistration(firstName: string, lastName: string, customAccountDetails: Map<string, FormControl>, password: string, validationCode?: string, email?: string): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BluiRegisterUIService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BluiRegisterUIService>;
}
