import { Router, CanActivate } from '@angular/router';
import { BluiAuthSecurityService } from '../../services/state/auth-security.service';
import { BluiAuthConfig } from '../../services/config/auth-config';
import * as i0 from "@angular/core";
export declare class BluiAuthGuard implements CanActivate {
    bluiAuthConfig: BluiAuthConfig;
    securityService: BluiAuthSecurityService;
    router: Router;
    constructor(bluiAuthConfig: BluiAuthConfig, securityService: BluiAuthSecurityService, router: Router);
    canActivate(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<BluiAuthGuard, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BluiAuthGuard>;
}
