import { AccountDetails } from './create-account.component';
import { TemplateRef } from '@angular/core';
import { MatLegacyFormField as MatFormField } from '@angular/material/legacy-form-field';
import { FormControl } from '@angular/forms';
export declare class CreateAccountService {
    detailsStartPage: number;
    accountDetails: AccountDetails[];
    currentPage: number;
    constructor(detailsStartPage: number, accountDetails: AccountDetails[]);
    prevStep(): void;
    nextStep(): void;
    getCurrentPage(): number;
    hasValidAccountDetails(): boolean;
    isAccountDetailsPage(): boolean;
    isFirstAccountDetailsPage(): boolean;
    isCustomAccountsDetailsPage(): boolean;
    isLastAccountDetailsPage(): boolean;
    private _hasDetailsAtIndex;
    getNumberOfAccountDetailsPages(): number;
    showAccountCreatedPage(): boolean;
    getNumberOfSteps(): number;
    getCustomAccountDetailsTemplate(): TemplateRef<MatFormField>;
    getCustomAccountDetailsTitle(): string;
    getCustomAccountDetailsInstructions(): string;
    clearAccountDetails(): void;
    getAccountDetailsCustomValues(): Map<string, FormControl>;
}
