import { ChangeDetectorRef, OnInit, TemplateRef } from '@angular/core';
import { Router } from '@angular/router';
import { BluiAuthConfig } from '../../../../services/config/auth-config';
import { BluiAuthTranslations } from '../../../../translations/auth-translations';
import * as i0 from "@angular/core";
export declare type RegistrationSuccessScreenContext = {
    firstName: string;
    lastName: string;
    email: string;
};
export declare class BluiAccountCreatedComponent implements OnInit {
    private readonly _router;
    private readonly _bluiAuthConfig;
    private readonly _changeDetectorRef;
    userName: any;
    email: any;
    registrationSuccessScreen: TemplateRef<RegistrationSuccessScreenContext>;
    registrationSuccessScreenContext: RegistrationSuccessScreenContext;
    translate: BluiAuthTranslations;
    constructor(_router: Router, _bluiAuthConfig: BluiAuthConfig, _changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    navigateToLogin(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BluiAccountCreatedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BluiAccountCreatedComponent, "blui-create-account-account-created-step", never, { "userName": "userName"; "email": "email"; "registrationSuccessScreen": "registrationSuccessScreen"; "registrationSuccessScreenContext": "registrationSuccessScreenContext"; }, {}, never, never, false, never>;
}
