import { MatLegacyDialogRef as MatDialogRef } from '@angular/material/legacy-dialog';
export declare type IBluiAuthErrorDialogService = {
    openDialog(data: ErrorDialogData): MatDialogRef<any>;
};
export declare type ErrorDialogData = {
    title: string;
    message: string;
};
export declare type LoginErrorData = ErrorDialogData & {
    mode?: Array<'dialog' | 'message-box' | 'form' | 'none'>;
    dismissible?: boolean;
    position?: 'top' | 'bottom';
};
